#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  evolution-data-server-3.50.4

- Next

  Tracker-miners-3.6.2

- Up
- Home

# Tracker-3.6.0

## Introduction to Tracker

Tracker is the file indexing and search provider used in the GNOME desktop environment.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tracker/3.6/tracker-3.6.0.tar.xz

- Download MD5 sum: 7be27edcf56214277cdff6ebfd8cfbf0

- Download size: 2.4 MB

- Estimated disk space required: 51 MB (with tests)

- Estimated build time: 0.6 SBU (with tests)

### Tracker Dependencies

#### Required

JSON-GLib-1.8.0, libseccomp-2.5.5, and Vala-0.56.14

#### Recommended

gobject-introspection-1.78.1, ICU-74.2, libsoup-3.4.4, PyGObject-3.46.0, SQLite-3.45.1, and tracker-miners-3.6.2 (runtime)

#### Optional

asciidoc-10.2.0, Graphviz-10.0.1, libsoup-2.74.3, bash-completion, and libstemmer

## Installation of Tracker

Fix the location to install the documentation into:

    mv docs/reference/libtracker-sparql/doc/{Tracker-3.0,tracker-3.6.0} &&
    sed '/docs_name/s/Tracker-3.0/tracker-3.6.0/' \
        -i docs/reference/libtracker-sparql/meson.build

Install Tracker by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr                 \
                --buildtype=release           \
                -Dman=false                   \
                -Dsystemd_user_services=false \
                ..                            &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: meson configure -Ddebug=true && ninja test. The test suite should be run from a graphical session.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dman=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.2.0 installed and wish to generate and install the man pages.

`-Dsystemd_user_services=false`: This switch prevents the build process from installing systemd user services since they are useless on SysV systems.

meson configure -Ddebug=true: This command enables some debug checks necessary for the test suite. We don't want to enable them for the installed Tracker 3 libraries and programs, so we run the test suite after installation.

## Contents

Installed Programs: tracker3
Installed Library: libtracker-sparql-3.0.so
Installed Directories: /usr/{include,lib}/tracker-3.0, /usr/libexec/tracker3, /usr/share/tracker3, and /usr/share/doc/tracker-3.6.0 (optional)

### Short Descriptions

tracker3 | is a control program for the indexer
`libtracker-sparql-3.0.so` | contains resource management and database functions

- Prev

  evolution-data-server-3.50.4

- Next

  Tracker-miners-3.6.2

- Up
- Home